Bug 484909 - installing pdfshuffler does not pull pyPdf in
installing pdfshuffler does not pull pyPdf in
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pdfshuffler (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 12:16 EST by Thomas Sailer
Modified: 2009-03-09 19:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 11:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-02-10 12:16:42 EST
Description of problem:
pdfshuffler requires pyPdf, but the RPM contains no dependency on it

Version-Release number of selected component (if applicable):
pdfshuffler-0.3.1-2.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1.yum --enablerepo=updates-testing install pdfshuffler
2.pdfshuffler
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 65, in <module>
    from pyPdf import PdfFileWriter, PdfFileReader
ImportError: No module named pyPdf

Expected results:
pdfshuffler main window popping up
Comment 1 José Matos 2009-02-14 06:55:12 EST
I had several reports with the same error as well.

The workaround before the bug is solved is simple:

yum --enablerepo=updates-testing install pyPdf

And then it just works. :-)


The real fix is to add

Requires: pyPdf

to the spec file.

The problem would go away if rpmbuild had support to catch automatically the python dependencies as it does with dynamic libraries or with perl packages. For the moment we need to do this manually. :-)
Comment 2 Fabian Affolter 2009-02-16 10:29:03 EST
Thanks for testing the package.  I guess now the requirements are fixed.

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1746
https://admin.fedoraproject.org/updates/F9/FEDORA-2009-1756
Comment 3 José Matos 2009-02-16 13:38:47 EST
I can confirm that it works on rawhide and no F-10. I guess that the bug can be closed now. Thanks Fabian.
Comment 4 Milos Jakubicek 2009-02-21 19:45:30 EST
Bodhi has not changed the bug status again:(
Comment 6 Fedora Update System 2009-03-05 11:27:59 EST
pdfshuffler-0.3.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-09 19:09:26 EDT
pdfshuffler-0.3.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.